Scilab Function

sqroot - factorisation hermitienne W*W'

### Calling Sequence

  `sqroot(X)`

### Parameters

- `X` : matrice complexe ou réelle, symétrique définie non-négative

### Description

renvoie W telle que `X=W*W'` (en utilisant svd).

### Examples

    X=rand(5,2)*rand(2,5);X=X*X';
    W=sqroot(X)
    norm(W*W'-X,1)
    //
    X=rand(5,2)+%i*rand(5,2);X=X*X';
    W=sqroot(X)
    norm(W*W'-X,1)

### See Also

`chol` , `svd` ,